Loading...
Searching...
No Matches
freecontact::cov_vector< _Tp > Class Template Reference
Inheritance diagram for freecontact::cov_vector< _Tp >:

## Public Member Functions

| cov_vector ()
| cov_vector (uint16_t __alilen, uint8_t __q)
| cov_vector (uint16_t __alilen, uint8_t __q, _Tp __v)
_Tp & | operator() (size_t __row, size_t __col)
const _Tp & | operator() (size_t __row, size_t __col) const
_Tp & | operator() (uint16_t __i, uint16_t __j, uint8_t __ai, uint8_t __aj)
const _Tp & | operator() (uint16_t __i, uint16_t __j, uint8_t __ai, uint8_t __aj) const

## Public Attributes

uint16_t | alilen
uint8_t | q
size_t | d1

## Detailed Description

template<typename _Tp>
class freecontact::cov_vector< _Tp >

Definition at line 119 of file freecontact.cpp.

## Constructor & Destructor Documentation

## cov_vector() [1/3]

template<typename _Tp>

freecontact::cov_vector< _Tp >::cov_vector | ( |  | ) |

inline

Definition at line 125 of file freecontact.cpp.

## cov_vector() [2/3]

template<typename _Tp>

freecontact::cov_vector< _Tp >::cov_vector | ( | uint16_t | __alilen,
|  | uint8_t | __q )

inline

Definition at line 126 of file freecontact.cpp.

## cov_vector() [3/3]

template<typename _Tp>

freecontact::cov_vector< _Tp >::cov_vector | ( | uint16_t | __alilen,
|  | uint8_t | __q,
|  | _Tp | __v )

inline

Definition at line 128 of file freecontact.cpp.

## Member Function Documentation

## operator()() [1/4]

template<typename _Tp>

_Tp & freecontact::cov_vector< _Tp >::operator() | ( | size_t | __row,
|  | size_t | __col )

inline

Definition at line 132 of file freecontact.cpp.

## operator()() [2/4]

template<typename _Tp>

const _Tp & freecontact::cov_vector< _Tp >::operator() | ( | size_t | __row,
|  | size_t | __col ) const

inline

Definition at line 136 of file freecontact.cpp.

## operator()() [3/4]

template<typename _Tp>

_Tp & freecontact::cov_vector< _Tp >::operator() | ( | uint16_t | __i,
|  | uint16_t | __j,
|  | uint8_t | __ai,
|  | uint8_t | __aj )

inline

Definition at line 141 of file freecontact.cpp.

## operator()() [4/4]

template<typename _Tp>

const _Tp & freecontact::cov_vector< _Tp >::operator() | ( | uint16_t | __i,
|  | uint16_t | __j,
|  | uint8_t | __ai,
|  | uint8_t | __aj ) const

inline

Definition at line 145 of file freecontact.cpp.

## Member Data Documentation

## alilen

template<typename _Tp>

uint16_t freecontact::cov_vector< _Tp >::alilen

Definition at line 121 of file freecontact.cpp.

## d1

template<typename _Tp>

size_t freecontact::cov_vector< _Tp >::d1

Definition at line 123 of file freecontact.cpp.

## q

template<typename _Tp>

uint8_t freecontact::cov_vector< _Tp >::q

Definition at line 122 of file freecontact.cpp.

The documentation for this class was generated from the following file:

- freecontact.cpp